package cn.com.countrygarden.bi.main.service.mediaResource;


import java.io.IOException;
import java.util.Map;

import org.springframework.web.multipart.MultipartFile;

import cn.com.countrygarden.bi.main.core.Result;
import cn.com.countrygarden.bi.main.core.Service;
import cn.com.countrygarden.bi.main.dto.CustomerDto;
import cn.com.countrygarden.bi.main.model.PageData;
import cn.com.countrygarden.bi.main.model.mediaResource.Customer;

public interface CustomerService extends Service<Customer>{

	PageData findCustomerByPage(String accessToken, CustomerDto dto);

	Result saveOne(Result rt, String accessToken,CustomerDto dto);

	Map<String,String> findOne(Customer po);

	int del(CustomerDto dto);

	Result exportIn(String accessToken, Result rt, MultipartFile file) throws IOException;

}
